Read one job lifecycle
curl --request GET \
--url https://api.getbreezyapp.com/v1/job-lifecycles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/job-lifecycles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/job-lifecycles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "11111111-1111-4111-8111-000000001102",
"name": "Service workflow",
"description": "Service jobs from opportunity to closure",
"type": "JOB",
"archived": false,
"statuses": [
{
"id": "11111111-1111-4111-8111-000000001103",
"name": "Ready to invoice",
"description": "",
"stage": "Won",
"special_status": "Completed",
"is_default": false,
"is_work_complete": true,
"is_lead_won": true
}
],
"created_at": "2026-08-19T16:00:00Z",
"updated_at": "2026-09-08T19:00:00Z"
},
"meta": {
"request_id": "11111111-1111-4111-8111-000000009999",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}JobLifecycles
Read one job lifecycle
Configured lifecycles, including archived lifecycles, with complete ordered statuses and their stage and special-status meaning.
GET
/
job-lifecycles
/
{id}
Read one job lifecycle
curl --request GET \
--url https://api.getbreezyapp.com/v1/job-lifecycles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/job-lifecycles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/job-lifecycles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "11111111-1111-4111-8111-000000001102",
"name": "Service workflow",
"description": "Service jobs from opportunity to closure",
"type": "JOB",
"archived": false,
"statuses": [
{
"id": "11111111-1111-4111-8111-000000001103",
"name": "Ready to invoice",
"description": "",
"stage": "Won",
"special_status": "Completed",
"is_default": false,
"is_work_complete": true,
"is_lead_won": true
}
],
"created_at": "2026-08-19T16:00:00Z",
"updated_at": "2026-09-08T19:00:00Z"
},
"meta": {
"request_id": "11111111-1111-4111-8111-000000009999",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}Authorizations
Existing Breezy API key. Grants all published reads in its associated company. No app permission scopes.